Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class PipeMapRed

    java.lang.Object
      org.apache.hadoop.streaming.PipeMapRed

Direct Known Subclasses:
  PipeMapper, PipeReducer

    public abstract class PipeMapRed

extends Object

Shared functionality for PipeMapper, PipeReducer.

Field Summary
`protected static org.apache.commons.logging.Log` | `LOG`
`protected Throwable` | `outerrThreadsThrowable`

Constructor Summary
`PipeMapRed()`

Method Summary
`void` | `configure(JobConf job)`
`String` | `getContext()`
`void` | `mapRedFinished()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final org.apache.commons.logging.Log LOG

### outerrThreadsThrowable

    protected volatile Throwable outerrThreadsThrowable

Constructor Detail

### PipeMapRed

    public PipeMapRed()

Method Detail

### configure

    public void configure(JobConf job)

### mapRedFinished

    public void mapRedFinished()

### getContext

    public String getContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation